module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 2);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.SET_ROOTPATH = '@@files-stack/SET_ROOTPATH';
exports.REFRESH_DIRECTORY = '@@files-stack/REFRESH_DIRECTORY';
exports.SELECT_FILE = '@@files-stack/SELECT_FILE';
exports.OPEN_FILE = '@@files-stack/OPEN_FILE';
exports.SAVE_FILE = '@@files-stack/SAVE_FILE';
exports.MUTATE_FILES = '@@files-stack/MUTATE_FILES';
exports.MUTATE_FILES_COMPLETE = '@@files-stack/MUTATE_FILES_COMPLETE';
exports.MUTATE_FILES_RESET = '@@files-stack/MUTATE_FILES_RESET';
exports.REMOVE_EDIT = '@@files-stack/REMOVE_EDIT';
exports.SELECT_EDIT = '@@files-stack/SELECT_EDIT';
exports.CHANGE_EDIT = '@@files-stack/CHANGE_EDIT';
exports.NEW_FILE = '@@files-stack/NEW_FILE';
exports.NEW_FOLDER = '@@files-stack/NEW_FOLDER';
exports.DRAG_OVER_FILE = '@@files-stack/DRAG_OVER_FILE';
exports.TOGGLE_EDITORS_EXPAND = '@@files-stack/TOGGLE_EDITORS_EXPAND';
exports.ACTIVATE_EDITOR = '@@files-stack/ACTIVATE_EDITOR';
exports.UPDATE_EDITORS_HEIGHT = '@@files-stack/UPDATE_EDITORS_HEIGHT';
exports.OPEN_MARKDOWN = '@@files-stack/OPEN_MARKDOWN';
exports.SET_FINDER_OPTIONS = '@@files-stack/SET_FINDER_OPTIONS';
exports.SAVE_ALL_EDITORS = '@@files-stack/SAVE_ALL_EDITORS';
exports.CLOSE_ALL_EDITORS = '@@files-stack/CLOSE_ALL_EDITORS';
exports.KEEP_OPEN_EDITOR = '@@files-stack/KEEP_OPEN_EDITOR';
exports.UPDATE_EDITOR_CONTENT = '@@files-stack/UPDATE_EDITOR_CONTENT';
exports.ADD_SUBSCRIBE = '@@files-stack/ADD_SUBSCRIBE';
exports.SET_CREATING_FILE = '@@files-stack/SET_CREATING_FILE';
exports.DESELECT_FILE = '@@files-stack/DESELECT_FILE';
exports.SET_TREE_DATA = '@@files-stack/SET_TREE_DATA';
exports.SET_ROOT_EXPAND = '@@files-stack/SET_ROOT_EXPAND';
exports.CHANGE_EDITOR_SUBSCRIBES = '@@files-stack/CHANGE_EDITOR_SUBSCRIBES';
exports.UPDATE_CHANGED_CONTENT = '@@files-stack/UPDATE_CHANGED_CONTENT';
exports.OPEN_DIFF_EDITOR = '@@files-stack/OPEN_DIFF_EDITOR';
exports.RELOAD_TREE_DATA = '@@files-stack/RELOAD_TREE_DATA';


/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(0));
__export(__webpack_require__(10));
__export(__webpack_require__(11));


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(3));
__export(__webpack_require__(1));
__export(__webpack_require__(12));


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const files_reducer_1 = __webpack_require__(4);
const edit_reducer_1 = __webpack_require__(5);
exports.reducers = Object.assign({}, files_reducer_1.filesReducers, edit_reducer_1.editReducers);


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes = __webpack_require__(0);
function refresh(state = 0, action) {
    switch (action.type) {
        case actionTypes.REFRESH_DIRECTORY:
            return state + 1;
        default:
            return state;
    }
}
function selectedFile(state = null, action) {
    switch (action.type) {
        case actionTypes.SELECT_FILE:
            return Object.assign({}, action.fileStat);
        case actionTypes.DESELECT_FILE:
            if (action.resource) {
                if (state && state.resource === action.resource) {
                    return null;
                }
            }
            else {
                return null;
            }
            return state;
        default:
            return state;
    }
}
function rootpath(state = null, action) {
    switch (action.type) {
        case actionTypes.SET_ROOTPATH:
            return action.rootpath;
        default:
            return state;
    }
}
function mutateFiles(state = {}, action) {
    switch (action.type) {
        case actionTypes.MUTATE_FILES_RESET:
            return Object.assign({}, state, {
                mutation: '',
                options: {},
                calling: false,
            });
        case actionTypes.MUTATE_FILES_COMPLETE:
            return Object.assign({}, state, {
                calling: false,
            });
        case actionTypes.MUTATE_FILES:
            let newState = Object.assign({}, state, {
                calling: true,
                mutation: action.mutation,
                options: action.payload,
            });
            if (action.mutation === 'copy') {
                return Object.assign({}, newState, {
                    copyPath: action.payload.resource,
                });
            }
            else {
                return newState;
            }
        case actionTypes.NEW_FILE:
            return Object.assign({}, state, {
                calling: false,
                mutation: 'new-file',
                options: action.payload,
            });
        case actionTypes.NEW_FOLDER:
            return Object.assign({}, state, {
                calling: false,
                mutation: 'new-folder',
                options: action.payload,
            });
        default:
            return state;
    }
}
function dragOveredFile(state = null, action) {
    switch (action.type) {
        case actionTypes.DRAG_OVER_FILE:
            if (action.fileStat) {
                return { fileStat: action.fileStat, path: action.path };
            }
            else {
                return null;
            }
        default:
            return state;
    }
}
function editorsExpand(state = true, action) {
    switch (action.type) {
        case actionTypes.TOGGLE_EDITORS_EXPAND:
            return action.expand;
        default:
            return state;
    }
}
function subscriber(state = null, action) {
    switch (action.type) {
        case actionTypes.ADD_SUBSCRIBE:
            return action.subscribe;
        default:
            return state;
    }
}
function creatingFile(state = null, action) {
    switch (action.type) {
        case actionTypes.SET_CREATING_FILE:
            return Object.assign({}, action.payload);
        default:
            return state;
    }
}
function treeData(state = null, action) {
    if (action.type === actionTypes.SET_TREE_DATA) {
        return action.treeData;
    }
    else {
        return state;
    }
}
function rootExpand(state = true, action) {
    if (action.type === actionTypes.SET_ROOT_EXPAND) {
        return action.expand;
    }
    else {
        return state;
    }
}
const initialFinderOptions = {
    lineNumber: -1,
    searchText: '',
};
function finderOptions(state = initialFinderOptions, action) {
    switch (action.type) {
        case actionTypes.SET_FINDER_OPTIONS:
            return Object.assign({}, state, action.options);
        default:
            return state;
    }
}
function reloadTreeData(state = false, action) {
    if (action.type === actionTypes.RELOAD_TREE_DATA) {
        return action.reload;
    }
    else {
        return state;
    }
}
exports.filesReducers = {
    '@files/selectedFile': selectedFile,
    '@files/rootpath': rootpath,
    '@files/refresh': refresh,
    '@files/mutate': mutateFiles,
    '@files/dragOveredFile': dragOveredFile,
    '@files/editorsExpand': editorsExpand,
    '@files/rootExpand': rootExpand,
    '@files/subscriber': subscriber,
    '@files/creatingFile': creatingFile,
    '@files/treeData': treeData,
    '@files/finderOptions': finderOptions,
    '@files/reloadTreeData': reloadTreeData,
};


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = __webpack_require__(6);
const lodash_1 = __webpack_require__(7);
const client_core_1 = __webpack_require__(8);
const core_1 = __webpack_require__(9);
const actionTypes = __webpack_require__(0);
const initialEditState = {
    openingFiles: [],
    editingFiles: [],
    editors: [],
    editorWrappers: [],
    activeEditorId: 0,
    oldValue: '',
    deleted: false,
};
function edit(state = initialEditState, action) {
    let index;
    let openingFiles;
    let editingFiles;
    let activeEditorId;
    let editors;
    let editorWrappers;
    let editorId;
    let activeEditorFile;
    switch (action.type) {
        case actionTypes.OPEN_FILE:
            activeEditorId = state.activeEditorId;
            editors = [...state.editors];
            editorWrappers = [...state.editorWrappers];
            openingFiles = [...state.openingFiles];
            editorId = action.content.editorId || activeEditorId;
            index = ramda_1.findIndex(ramda_1.whereEq({
                resource: action.content.resource,
                name: action.content.name,
                editorId,
            }))(openingFiles);
            if (index !== -1) {
                openingFiles[index] = Object.assign({}, openingFiles[index], { preOpen: action.content.keepOpen ? false : action.content.preOpen });
                editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== editorId);
                editingFiles.push(Object.assign({}, openingFiles[index]));
                return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles], editorWrappers: client_core_1.addEditorHistory(editorWrappers, editorId, action.content.resource, action.content.name) });
            }
            else {
                if (editors.length === 0) {
                    editors = [1];
                    editorWrappers = [{
                            editorId: 1,
                            height: client_core_1.EDITOR_DEFAULT_HEIGHT,
                            history: [{ resource: action.content.resource, name: action.content.name }],
                        }];
                    activeEditorId = 1;
                }
                if (action.content.editorId) {
                    activeEditorId = action.content.editorId;
                    index = editors.indexOf(action.content.editorId);
                    if (index === -1) {
                        if (editors.length < 3) {
                            editors.push(action.content.editorId);
                            editorWrappers.push({
                                editorId: action.content.editorId,
                                height: client_core_1.EDITOR_DEFAULT_HEIGHT,
                                history: [{ resource: action.content.resource, name: action.content.name }],
                            });
                        }
                        else {
                            activeEditorId = editors[editors.length - 1];
                        }
                    }
                }
                activeEditorFile = Object.assign({}, action.content, { editorId: activeEditorId, preOpen: action.content.keepOpen ? false : true, oversize: action.content.size >= core_1.CONTENT_SIZE_LIMIT });
                openingFiles = lodash_1.filter(openingFiles, item => item.editorId !== activeEditorId || !item.preOpen);
                openingFiles.push(activeEditorFile);
                editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== activeEditorId);
                editingFiles.push(activeEditorFile);
                return Object.assign({}, state, { activeEditorId, editors: [...editors], openingFiles: [...openingFiles], editingFiles: [...editingFiles], editorWrappers: client_core_1.addEditorHistory(editorWrappers, activeEditorId, action.content.resource, action.content.name), oldValue: action.content ? action.content.oldValue : null, deleted: action.content ? action.content.deleted : null, addIgnore: action.content ? action.content.addIgnore : null });
            }
        case actionTypes.SELECT_EDIT:
            editorWrappers = [...state.editorWrappers];
            openingFiles = [...state.openingFiles];
            index = ramda_1.findIndex(ramda_1.whereEq({
                resource: action.content.resource,
                name: action.content.name,
                editorId: action.content.editorId,
            }))(openingFiles);
            if (index !== -1) {
                editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== action.content.editorId);
                editingFiles.push(Object.assign({}, openingFiles[index]));
                return Object.assign({}, state, { activeEditorId: action.content.editorId, editingFiles: [...editingFiles], editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource, action.content.name) });
            }
            else {
                return state;
            }
        case actionTypes.REMOVE_EDIT:
            openingFiles = [...state.openingFiles];
            editingFiles = [...state.editingFiles];
            editors = [...state.editors];
            editorWrappers = [...state.editorWrappers];
            activeEditorId = state.activeEditorId;
            if (action.content.editorId) {
                editorId = action.content.editorId;
                index = ramda_1.findIndex(ramda_1.whereEq({
                    resource: action.content.resource,
                    editorId,
                }))(openingFiles);
                if (index !== -1) {
                    openingFiles = ramda_1.remove(index, 1, openingFiles);
                }
                if (openingFiles.length === 0) {
                    return initialEditState;
                }
                else {
                    index = ramda_1.findIndex(ramda_1.whereEq({
                        resource: action.content.resource,
                        editorId,
                    }))(editingFiles);
                    if (index !== -1) {
                        editingFiles = ramda_1.remove(index, 1, editingFiles);
                        const activeEditorFiles = lodash_1.filter(openingFiles, item => item.editorId === editorId);
                        if (activeEditorFiles.length) {
                            editorWrappers = client_core_1.removeEditorHistory(editorWrappers, editorId, action.content.resource, action.content.name);
                            const lastResource = client_core_1.getLastEditorHistory(editorWrappers, editorId);
                            if (lastResource) {
                                const editingFile = ramda_1.find(ramda_1.whereEq({ resource: lastResource.resource, name: lastResource.name }))(activeEditorFiles);
                                editingFiles.push(editingFile);
                            }
                        }
                        else {
                            const editorIndex = editors.indexOf(editorId);
                            if (editorIndex !== -1) {
                                editors.splice(editorIndex, 1);
                                editorWrappers.splice(editorIndex, 1);
                            }
                            if (activeEditorId === editorId) {
                                activeEditorId = editors[0];
                            }
                        }
                    }
                    else {
                        editorWrappers = client_core_1.removeEditorHistory(editorWrappers, editorId, action.content.resource, action.content.name);
                    }
                    return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles], editors: [...editors], editorWrappers: [...editorWrappers], activeEditorId });
                }
            }
            else {
                openingFiles = lodash_1.filter(openingFiles, item => item && item.resource !== action.content.resource);
                if (openingFiles.length === 0) {
                    return initialEditState;
                }
                else {
                    editingFiles = lodash_1.filter(editingFiles, item => item.resource !== action.content.resource);
                    editors.forEach((editorId) => {
                        const activeEditorFiles = lodash_1.filter(openingFiles, item => item && item.editorId === editorId);
                        if (activeEditorFiles.length) {
                            editorWrappers = client_core_1.removeEditorHistory(editorWrappers, editorId, action.content.resource, action.content.name);
                            const lastResource = client_core_1.getLastEditorHistory(editorWrappers, editorId);
                            if (lastResource) {
                                const editingFile = ramda_1.find(ramda_1.whereEq({ resource: lastResource.resource, name: lastResource.name }))(activeEditorFiles);
                                editingFiles.push(editingFile);
                            }
                        }
                        else {
                            const editorIndex = editors.indexOf(editorId);
                            if (editorIndex !== -1) {
                                editors.splice(editorIndex, 1);
                                editorWrappers.splice(editorIndex, 1);
                            }
                            if (activeEditorId === editorId) {
                                activeEditorId = editors[0];
                            }
                        }
                    });
                    return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles], editors: [...editors], editorWrappers: [...editorWrappers], activeEditorId });
                }
            }
        case actionTypes.CHANGE_EDIT:
            openingFiles = state.openingFiles;
            editingFiles = state.editingFiles;
            index = ramda_1.findIndex(ramda_1.whereEq({ editorId: state.activeEditorId }))(editingFiles);
            if (index !== -1) {
                const activeEditorFile = state.editingFiles[index];
                let items = lodash_1.filter(openingFiles, item => item.resource === activeEditorFile.resource && !item.deleted);
                items.forEach(item => {
                    const itemIndex = openingFiles.indexOf(item);
                    if (itemIndex !== -1) {
                        openingFiles[itemIndex] = Object.assign({}, openingFiles[itemIndex], { changed: action.changed });
                        if (item.editorId === activeEditorFile.editorId) {
                            openingFiles[itemIndex]['preOpen'] = false;
                        }
                    }
                });
                editingFiles[index] = Object.assign({}, activeEditorFile, { changed: action.changed });
                return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles] });
            }
            else {
                return state;
            }
        case actionTypes.KEEP_OPEN_EDITOR:
            openingFiles = state.openingFiles;
            editorWrappers = [...state.editorWrappers];
            index = ramda_1.findIndex(ramda_1.whereEq({
                editorId: action.content.editorId,
                resource: action.content.resource,
            }))(openingFiles);
            if (index !== -1) {
                openingFiles[index] = Object.assign({}, openingFiles[index], { preOpen: false });
                return Object.assign({}, state, { openingFiles: [...openingFiles], editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource, action.content.name) });
            }
            else {
                return Object.assign({}, state, { editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource, action.content.name) });
            }
        case actionTypes.ACTIVATE_EDITOR:
            index = state.editors.indexOf(action.editorId);
            if (index !== -1) {
                return Object.assign({}, state, { activeEditorId: action.editorId });
            }
            else {
                return state;
            }
        case actionTypes.UPDATE_EDITORS_HEIGHT:
            return Object.assign({}, state, { editorWrappers: [...action.editorWrappers] });
        case actionTypes.OPEN_MARKDOWN:
            editorId = action.previewEditorId;
            openingFiles = state.openingFiles;
            editors = lodash_1.clone(state.editors);
            editorWrappers = [...state.editorWrappers];
            activeEditorId = editorId;
            index = editors.indexOf(editorId);
            if (index === -1) {
                if (editors.length < 3) {
                    editors.push(editorId);
                    editorWrappers.push({ editorId, height: client_core_1.EDITOR_DEFAULT_HEIGHT });
                }
                else {
                    activeEditorId = editors[editors.length - 1];
                }
            }
            index = ramda_1.findIndex(ramda_1.whereEq({
                resource: action.content.resource,
                editorId: action.content.editorId,
            }))(openingFiles);
            if (index !== -1) {
                openingFiles[index] = Object.assign({}, action.content, { markdown: true });
            }
            openingFiles.push(Object.assign({}, action.content, { name: `Preview ${action.content.name}`, preview: true, editorId }));
            editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== editorId);
            editingFiles.push(Object.assign({}, action.content, { name: `Preview ${action.content.name}`, preview: true, editorId }));
            return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles], activeEditorId, editors: [...editors], editorWrappers: client_core_1.addEditorHistory(editorWrappers, editorId, action.content.resource, action.content.name) });
        case actionTypes.UPDATE_EDITOR_CONTENT:
            openingFiles = [...state.openingFiles];
            index = ramda_1.findIndex(ramda_1.whereEq({
                editorId: action.content.editorId,
                resource: action.content.resource,
                name: action.content.name,
            }))(openingFiles);
            if (index !== -1) {
                openingFiles[index] = Object.assign({}, action.content);
                return Object.assign({}, state, { openingFiles: [...openingFiles] });
            }
            else {
                return state;
            }
        case actionTypes.OPEN_DIFF_EDITOR:
            activeEditorId = state.activeEditorId;
            editors = [...state.editors];
            editorWrappers = [...state.editorWrappers];
            openingFiles = [...state.openingFiles];
            editorId = action.content.editorId || activeEditorId;
            index = ramda_1.findIndex(ramda_1.whereEq({
                resource: action.content.resource,
                name: action.content.name,
                editorId,
            }))(openingFiles);
            if (index !== -1) {
                editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== editorId);
                editingFiles.push(Object.assign({}, openingFiles[index]));
                return Object.assign({}, state, { editingFiles: [...editingFiles] });
            }
            else {
                activeEditorId = action.content.editorId;
                activeEditorFile = {
                    resource: action.content.resource,
                    name: action.content.name,
                    changed: action.content.changed,
                    editorId: activeEditorId,
                    oversize: action.content.size >= core_1.CONTENT_SIZE_LIMIT,
                    diff: true,
                };
                openingFiles = lodash_1.filter(openingFiles, item => item.editorId !== activeEditorId || !item.preOpen);
                openingFiles.push(activeEditorFile);
                editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== activeEditorId);
                editingFiles.push(activeEditorFile);
                return Object.assign({}, state, { activeEditorId, openingFiles: [...openingFiles], editingFiles: [...editingFiles] });
            }
        case actionTypes.CLOSE_ALL_EDITORS:
            return initialEditState;
        default:
            return state;
    }
}
function allSave(state = false, action) {
    if (action.type === actionTypes.SAVE_ALL_EDITORS) {
        return action.allSave;
    }
    else {
        return state;
    }
}
function editorSubscribes(state = [], action) {
    if (action.type === actionTypes.CHANGE_EDITOR_SUBSCRIBES) {
        return [...action.editorSubscribes];
    }
    else {
        return state;
    }
}
function changedContentResource(state = '', action) {
    if (action.type === actionTypes.UPDATE_CHANGED_CONTENT) {
        return action.resource;
    }
    else {
        return state;
    }
}
exports.editReducers = {
    '@files/edit': edit,
    '@files/allSave': allSave,
    '@files/editorSubscribes': editorSubscribes,
    '@files/changedContentResource': changedContentResource,
};


/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = require("ramda");

/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),
/* 8 */
/***/ (function(module, exports) {

module.exports = require("@files-stack/client-core");

/***/ }),
/* 9 */
/***/ (function(module, exports) {

module.exports = require("@files-stack/core");

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes = __webpack_require__(0);
exports.setRootpathAction = (rootpath) => ({
    type: actionTypes.SET_ROOTPATH,
    rootpath,
});
exports.refreshDirectoryAction = () => ({
    type: actionTypes.REFRESH_DIRECTORY,
});
exports.selectFileAction = (fileStat) => ({
    type: actionTypes.SELECT_FILE, fileStat,
});
exports.resetMutateAction = () => ({
    type: actionTypes.MUTATE_FILES_RESET,
});
exports.completeMutateAction = () => ({
    type: actionTypes.MUTATE_FILES_COMPLETE,
});
exports.mutateFileAction = (mutation, options) => ({
    type: actionTypes.MUTATE_FILES, mutation, payload: options,
});
exports.newFileAction = (payload) => ({
    type: actionTypes.NEW_FILE,
    payload,
});
exports.newFolderAction = (payload) => ({
    type: actionTypes.NEW_FOLDER,
    payload,
});
exports.dragOverFileAction = (fileStat, path) => ({
    type: actionTypes.DRAG_OVER_FILE,
    fileStat,
    path,
});
exports.toggleEditorsExpandAction = (expand) => ({
    type: actionTypes.TOGGLE_EDITORS_EXPAND,
    expand,
});
exports.addSubscribeAction = (subscribe) => ({
    type: actionTypes.ADD_SUBSCRIBE, subscribe,
});
exports.setCreatingFileAction = (payload) => ({
    type: actionTypes.SET_CREATING_FILE, payload,
});
exports.deselectFileAction = (resource = null) => ({
    type: actionTypes.DESELECT_FILE, resource,
});
exports.setTreeDataAction = (treeData) => ({
    type: actionTypes.SET_TREE_DATA, treeData,
});
exports.setRootExpandAction = (expand) => ({
    type: actionTypes.SET_ROOT_EXPAND, expand,
});
exports.setFinderOptionsAction = (options) => ({
    type: actionTypes.SET_FINDER_OPTIONS, options,
});
exports.reloadTreeDataAction = (reload) => ({
    type: actionTypes.RELOAD_TREE_DATA, reload,
});


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes = __webpack_require__(0);
exports.openFileAction = (content) => ({
    type: actionTypes.OPEN_FILE, content,
});
exports.selectEditAction = (content) => ({
    type: actionTypes.SELECT_EDIT, content,
});
exports.removeEditAction = (content) => ({
    type: actionTypes.REMOVE_EDIT, content,
});
exports.changeEditAction = (changed) => ({
    type: actionTypes.CHANGE_EDIT, changed,
});
exports.activateEditorAction = (editorId) => ({
    type: actionTypes.ACTIVATE_EDITOR, editorId,
});
exports.updateEditorsHeightAction = (editorWrappers) => ({
    type: actionTypes.UPDATE_EDITORS_HEIGHT, editorWrappers,
});
exports.openMarkdownAction = (content, previewEditorId) => ({
    type: actionTypes.OPEN_MARKDOWN, content, previewEditorId,
});
exports.saveAllEditorAction = (allSave) => ({
    type: actionTypes.SAVE_ALL_EDITORS, allSave,
});
exports.closeAllEditorAction = () => ({
    type: actionTypes.CLOSE_ALL_EDITORS,
});
exports.keepOpenAction = (content) => ({
    type: actionTypes.KEEP_OPEN_EDITOR, content,
});
exports.changeEditorSubscribesAction = (editorSubscribes) => ({
    type: actionTypes.CHANGE_EDITOR_SUBSCRIBES, editorSubscribes,
});
exports.updateEditorContentAction = (content) => ({
    type: actionTypes.UPDATE_EDITOR_CONTENT, content,
});
exports.updateChangedContentAction = (resource) => ({
    type: actionTypes.UPDATE_CHANGED_CONTENT, resource,
});
exports.openDiffEditorAction = (content) => ({
    type: actionTypes.OPEN_DIFF_EDITOR, content,
});


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(13));


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actions_1 = __webpack_require__(1);
exports.editorActions = (dispatch) => {
    return {
        id: actions_1.SET_ROOTPATH,
        label: 'Files: Set Root Path',
        run: (ed) => {
            const root = '/tmp';
            dispatch(actions_1.setRootpathAction(root));
        },
    };
};


/***/ })
/******/ ]);
//# sourceMappingURL=index.js.map