import { IFilesMutate, IFileStat, INodeFileStat, IFinderOptions } from '@files-stack/client-core';
import { FilesAction as Action } from '../actions';
export declare const filesReducers: {
    '@files/selectedFile': (state: IFileStat, action: Action) => IFileStat;
    '@files/rootpath': (state: string, action: Action) => string;
    '@files/refresh': (state: number, action: Action) => number;
    '@files/mutate': (state: IFilesMutate, action: Action) => IFilesMutate;
    '@files/dragOveredFile': (state: INodeFileStat, action: Action) => INodeFileStat;
    '@files/editorsExpand': (state: boolean, action: Action) => boolean;
    '@files/rootExpand': (state: boolean, action: Action) => boolean;
    '@files/subscriber': (state: any, action: Action) => any;
    '@files/creatingFile': (state: any, action: Action) => any;
    '@files/treeData': (state: any, action: Action) => any;
    '@files/finderOptions': (state: IFinderOptions, action: Action) => IFinderOptions;
    '@files/reloadTreeData': (state: boolean, action: Action) => boolean;
};
